
camera {
    location  <0.1, 1, -4>
    direction <0, 0,  1>
    up        <0, 1,  0>
    right   <6/3, 0,  0>
    look_at   <0, 0, 0>
}

light_source{
    <10,10,-10>
    color 1
}

sphere{
  <-3,0,0>,0.7
  texture{
    pigment{
      shader{
        shader_file "uvtest.slp"
        shadow_type no_shadow
      }
    }
    finish{
      ambient 0.2
      diffuse 0.8
    }    
  }
}


sphere{
  <-1,0,0>,0.7
  texture{
    pigment{
      shader{
        shader_file "uvtest.slp"
        shadow_type opaque_shadow
      }
    }
    finish{
      ambient 0.2
      diffuse 0.8
    }
  }
}



sphere{
  <1,0,0>,0.7
  texture{
    pigment{
      shader{
        shader_file "uvtest.slp"
        shadow_type Os_shadow
        "Os" 0.3
      }
    }
    finish{
      ambient 0.2
      diffuse 0.8
    }    
  }
}



sphere{
  <3,0,0>,0.7
  texture{
    pigment{
      shader{
        shader_file "uvtest.slp"
        shadow_type shader_shadow
      }
    }
    finish{
      ambient 0.2
      diffuse 0.8
    }    
  }
}


plane{
    y,-1
    texture{
        pigment{
            color rgb <1,1,1>
        }
    }
}
