#version unofficial MegaPov 0.6;

background {color rgb <1,1,1>*0.5}

camera {
    location  <0.1, 3, -8>
    direction <0, 0,  -1>
    up        <0, 1,  0>
    right   <4/3, 0,  0>
    look_at   <0.01, 0, 0>
}


light_source{
    <10,10,-10>
    color rgb <1,1,1>

}

#declare use_shader = 1;


#if (use_shader)
#declare mytorus = function{
    shader{
        shader_file "torus.slp"
    }
}
#else
#declare mytorus=function{
//    "torus" <2, 0.5>
  -0.5+sqrt((sqrt(x*x+z*z)-2)*(sqrt(x*x+z*z)-2) + y*y)
}
#end

isosurface{
    function{ mytorus}
    contained_by {
        sphere {
            0, 4
        }
    }
    texture{
        pigment{
            color rgb 0.8
        }
        finish{
            ambient 0.4
            diffuse 0.6
        }
    }
    
}


