
background { color rgb<1,1,1> *0.15}

camera {
    location  <0.1, 1, -15>
    direction <0, 0,  1>
    up        <0, 1,  0>
    right   <4/3, 0,  0>
    look_at   <0.01, 0, 0>
}

light_source{
    <10, 100, -60>
    color <1,1,1>
}

sphere{
  <0,3,0>,3
  texture{
    pigment{
      shader{
        shader_file "aniso.slp"
        "xroughness" 0.2
        "yroughness" 0.6
        "Kd" 0.4
        "Ks" 0.5
        "Cs" <0.7, 0.25, 0.15>
      }
    }
    finish{
      ambient 0.7
      diffuse 0
    }    
  }
}

#declare Cs = color rgb <1,1,1>
	                                                                                       
sphere{
  <-5,-2,0>,3
  texture{
    pigment{
      shader{
        shader_file "aniso.slp"
        "brush_direction"  <0,1,0>
        "yroughness" 0.3
        "Cs"  Cs
      }
    }
    finish{
      ambient 0.7
      diffuse 0
    }
  }
}


sphere{
  <5,-2,0>,3
  texture{
    pigment{
      shader{
        shader_file "aniso.slp"
        "brush_direction" <1,0,0>
        "Cs" Cs
      }
    }
    finish{
      ambient 0.7
      diffuse 0
    }    
  }
}

