#version Unofficial MegaPOV 0.6;

camera { location <1,0.1,-7> look_at <0,0.15,0> }

light_source { <2000,4000,-4000> rgb 1.0 }
light_source { <-2000,3000,-4000> rgb 0.6 }

//global_settings { amb max_trace_level 100 }

background{
    color rgb <0.5, 0.5, 1>
}

#declare xyf=function{
    shader{
        shader_file "menger.slp"
        "rec_depth" 4
    }
}

isosurface {
    function { 
        xyf
    }
    contained_by { box { -1.0,1.0 } }
    max_trace 2
    max_gradient 100
    accuracy 0.001
    texture {
        pigment { color rgb<0.4,.4,.4>*3 }
        finish { 
            ambient 0.3
            diffuse .6 
        }
    } 
    scale 2
}


plane{
    y,-5
    texture{
        pigment{
            color rgb <0.2, 0.85,0.2>
        }
        finish{
            ambient .15 
            diffuse .55             
        }
    }
}

