float signed_noise(point p){
    return noise(p)*2-1;
}

iso_function rmf(float H=-0.3, lac=2, octaves=5, offset=0.3, gain=1){


    point pp=P;
    float result, signal;
    result = signal = sqr(offset-abs(signed_noise(pp)));
    float freq=1;
    
    float i;
    for(i=1;i<octaves;i+=1){
        freq*=lac;
        pp*=lac;
        signal=sqr(offset-abs(signed_noise(pp)))*clamp(signal*gain,0,1);
        result += signal*pow(freq, H);
    }
    return result;
    
}