// POV-Ray file generated from Rhinoceros.

camera {
   location <4, -1, -25>
   direction <0,0,1>
   right <4/3, 0, 0>
   up <0, 1, 0>
   look_at <0, 0, 0>
}


background { 
    color rgb <1, 1, 1>*0.4
}


light_source { 
    <-50, 100, -90> 
    color rgb <1,1,1> 
}

light_source { 
    <5, -5, -90> 
    color rgb <1,1,1>*0.4
}

#declare SkinColor = color rgb <
0.8, 0.65, 0.6>;

#declare Object1Material = material {
    texture {
        pigment { 
            shader {
                shader_file "skin.slp"
                "As"  <1,1,1>*0.4
                "skinColor"  <0.8, 0.65, 0.6>
            }
        }
        finish { 
            ambient 1 
            diffuse 0
        }
    }
}

#declare Object2Material = material {
    texture {
        pigment { 
            color SkinColor
        }
        finish { 
            ambient 0.2
            diffuse 0.4
            specular 0.05
            roughness 0.5
        }
    }
}



#declare Object1 = object {
   #include "head.inc"
}

/*
#declare Object1 = sphere {
    0,1
    scale <5,10,5>
}

*/

object { 
    Object1 
    material { 
        Object1Material 
    }
    translate x*-7
}



object { 
    Object1 
    material { 
        Object2Material 
    }
    rotate y*20
    translate x*7
}

