/** Based on gardner clouds - see gclouds.sl from BMRT 2.5 distribution for more

*details on this shader - has many uses.

*

*One of the simplest shaders you can create, and executes extremely quickly.

*Gives a glowing effect as there are no illumination calculations, although

*it would be trivial to add this.

*

*Uses the dot product of the normal and the eye vector to determine the edge of

*the object, then reduces the opacity towards the centre by an eponential of the

*supplied edge falloff value.

*

*Created by Simon Bunker 3/9/2000

*Using SlcEditor 0.7.2

**/



surface

SB_xray (

float edgefalloff = 1.0;

  )

{

/* Falloff near edge of sphere */

float opac = pow (abs(normalize(N).normalize(I)), edgefalloff);

 

  Oi = (1 - opac) * Oi;

  Ci = Oi * Cs;



}

